Delete Exposure Type
curl --request DELETE \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types/{exposureTypeId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types/{exposureTypeId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types/{exposureTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"deleted": true
}Exposure Types
Delete Exposure Type
Permanently deletes a company-specific exposure type and removes it from the company’s enabled exposure types.
Before deletion, the exposure type must not be referenced by any insureds. If insureds exist with this exposure type, the request returns 409.
Required permission: company:update
DELETE
/
api
/
external
/
companies
/
{companyId}
/
exposure-types
/
{exposureTypeId}
Delete Exposure Type
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Exposure type identifier
Was this page helpful?
